Bug 9483 - Use DataTables on batch patron modifications page
Summary: Use DataTables on batch patron modifications page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact:
URL: /cgi-bin/koha/tools/modborrowers.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-24 15:43 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9483 - Use DataTables on batch patron modifications page (2.56 KB, patch)
2013-01-24 15:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9483 - Use DataTables on batch patron modifications page (2.58 KB, patch)
2013-01-24 16:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
[Passed QA] Bug 9483 - Use DataTables on batch patron modifications page (2.65 KB, patch)
2013-01-25 15:32 UTC, Elliott Davis
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-01-24 15:43:59 UTC
The batch patron modifications page uses the old tablesorter plugin. It should use the DataTables plugin instead.
Comment 1 Owen Leonard 2013-01-24 15:56:53 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2013-01-24 16:02:24 UTC Comment hidden (obsolete)
Comment 3 Elliott Davis 2013-01-25 15:32:16 UTC
Created attachment 14864 [details] [review]
[Passed QA] Bug 9483 - Use DataTables on batch patron modifications page

Replace the tablesorter plugin with the DataTables plugin on the
batch patron modifications page.

To test, submit multiple patron barcodes for batch modification
(Tools -> Batch patron modification). Confirm that table sorting
works correctly.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Elliott Davis <elliott@bywatersolions.com>
Comment 4 Jared Camins-Esakov 2013-01-31 16:42:23 UTC
This patch has been pushed to master.